MapMessage
Date: 2015-09-19

javax.jms

## Interface MapMessage

- All Superinterfaces:
    Message

      public interface MapMessage
      extends Message

- - ### Field Summary

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBoolean(java.lang.String name)`
    `byte` | `getByte(java.lang.String name)`
    `byte[]` | `getBytes(java.lang.String name)`
    `char` | `getChar(java.lang.String name)`
    `double` | `getDouble(java.lang.String name)`
    `float` | `getFloat(java.lang.String name)`
    `int` | `getInt(java.lang.String name)`
    `long` | `getLong(java.lang.String name)`
    `java.util.Enumeration` | `getMapNames()`
    `java.lang.Object` | `getObject(java.lang.String name)`
    `short` | `getShort(java.lang.String name)`
    `java.lang.String` | `getString(java.lang.String name)`
    `boolean` | `itemExists(java.lang.String name)`
    `void` | `setBoolean(java.lang.String name, boolean value)`
    `void` | `setByte(java.lang.String name, byte value)`
    `void` | `setBytes(java.lang.String name, byte[] value)`
    `void` | `setBytes(java.lang.String name, byte[] value, int offset, int length)`
    `void` | `setChar(java.lang.String name, char value)`
    `void` | `setDouble(java.lang.String name, double value)`
    `void` | `setFloat(java.lang.String name, float value)`
    `void` | `setInt(java.lang.String name, int value)`
    `void` | `setLong(java.lang.String name, long value)`
    `void` | `setObject(java.lang.String name, java.lang.Object value)`
    `void` | `setShort(java.lang.String name, short value)`
    `void` | `setString(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from interface javax.jms.Message

      `acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

- - ### Method Detail

    - #### getBoolean

          boolean getBoolean(java.lang.String name)
                             throws JMSException

      Throws:
        `JMSException`

    - #### getByte

          byte getByte(java.lang.String name)
                       throws JMSException

      Throws:
        `JMSException`

    - #### getShort

          short getShort(java.lang.String name)
                         throws JMSException

      Throws:
        `JMSException`

    - #### getChar

          char getChar(java.lang.String name)
                       throws JMSException

      Throws:
        `JMSException`

    - #### getInt

          int getInt(java.lang.String name)
                     throws JMSException

      Throws:
        `JMSException`

    - #### getLong

          long getLong(java.lang.String name)
                       throws JMSException

      Throws:
        `JMSException`

    - #### getFloat

          float getFloat(java.lang.String name)
                         throws JMSException

      Throws:
        `JMSException`

    - #### getDouble

          double getDouble(java.lang.String name)
                           throws JMSException

      Throws:
        `JMSException`

    - #### getString

          java.lang.String getString(java.lang.String name)
                                     throws JMSException

      Throws:
        `JMSException`

    - #### getBytes

          byte[] getBytes(java.lang.String name)
                          throws JMSException

      Throws:
        `JMSException`

    - #### getObject

          java.lang.Object getObject(java.lang.String name)
                                     throws JMSException

      Throws:
        `JMSException`

    - #### getMapNames

          java.util.Enumeration getMapNames()
                                            throws JMSException

      Throws:
        `JMSException`

    - #### setBoolean

          void setBoolean(java.lang.String name,
                        boolean value)
                          throws JMSException

      Throws:
        `JMSException`

    - #### setByte

          void setByte(java.lang.String name,
                     byte value)
                       throws JMSException

      Throws:
        `JMSException`

    - #### setShort

          void setShort(java.lang.String name,
                      short value)
                        throws JMSException

      Throws:
        `JMSException`

    - #### setChar

          void setChar(java.lang.String name,
                     char value)
                       throws JMSException

      Throws:
        `JMSException`

    - #### setInt

          void setInt(java.lang.String name,
                    int value)
                      throws JMSException

      Throws:
        `JMSException`

    - #### setLong

          void setLong(java.lang.String name,
                     long value)
                       throws JMSException

      Throws:
        `JMSException`

    - #### setFloat

          void setFloat(java.lang.String name,
                      float value)
                        throws JMSException

      Throws:
        `JMSException`

    - #### setDouble

          void setDouble(java.lang.String name,
                       double value)
                         throws JMSException

      Throws:
        `JMSException`

    - #### setString

          void setString(java.lang.String name,
                       java.lang.String value)
                         throws JMSException

      Throws:
        `JMSException`

    - #### setBytes

          void setBytes(java.lang.String name,
                      byte[] value)
                        throws JMSException

      Throws:
        `JMSException`

    - #### setBytes

          void setBytes(java.lang.String name,
                      byte[] value,
                      int offset,
                      int length)
                        throws JMSException

      Throws:
        `JMSException`

    - #### setObject

          void setObject(java.lang.String name,
                       java.lang.Object value)
                         throws JMSException

      Throws:
        `JMSException`

    - #### itemExists

          boolean itemExists(java.lang.String name)
                             throws JMSException

      Throws:
        `JMSException`